require 'engine'
require 'map'

love.load = function()
	love.mouse.setVisible(false)
	engine = Engine(16)

	engine:setMap(Map(love.filesystem.read('lvl/lvl1.txt')))
end

love.draw = function()
	engine:draw()
end

local exitcounter = 1
local escapepressed = false

love.update = function(dt)
	engine:update(dt)

	if escapepressed then
		exitcounter = exitcounter - dt
		if exitcounter < 0 then
			exitcounter = 1
			escapepressed = false
		end
	end
end

function love.keypressed(k)
    if k == 'escape' then
		if escapepressed then
			love.event.push('q') -- quit the game
		else
			escapepressed = true
			exitcounter = 1
		end
	elseif k == 'return' then
		engine:pause()
	end
end
